Bug 435676 (CVE-2008-0320) - CVE-2008-0320 openoffice.org: OLE files parsing heap overflows
Summary: CVE-2008-0320 openoffice.org: OLE files parsing heap overflows
Status: CLOSED CURRENTRELEASE
Alias: CVE-2008-0320
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: source=upstream,reported=20080303,pub...
Keywords: Security
Depends On: 435684 435685 435686 435687 435688 435690 435691 442845 442846
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-03 09:55 UTC by Tomas Hoger
Modified: 2018-03-01 15:19 UTC (History)
5 users (show)

Fixed In Version: 2.3.0-6.14.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-22 22:41:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream patch (661 bytes, patch)
2008-03-03 10:17 UTC, Tomas Hoger
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0175 normal SHIPPED_LIVE Important: openoffice.org security update 2008-04-17 16:04:34 UTC
Red Hat Product Errata RHSA-2008:0176 normal SHIPPED_LIVE Important: openoffice.org security update 2008-04-17 15:42:14 UTC

Description Tomas Hoger 2008-03-03 09:55:23 UTC
Security issue found by anonymous researcher was reported via iDefense to
OpenOffice.org upstream:

Synopsis:
Manipulated OLE files can lead to heap overflows and arbitrary code execution

Impact:
A security vulnerability with the way OpenOffice.org 1.1 and 2 process OLE files
may allow a remote unprivileged user who provides a OpenOffice.org document that
is opened by a local user to execute arbitrary commands on the system with the
privileges of the user running OpenOffice.org.

Comment 1 Tomas Hoger 2008-03-03 10:17:40 UTC
Created attachment 296570 [details]
Upstream patch

Comment 12 Mark J. Cox 2008-03-27 08:54:52 UTC
embargo moved at request of upstream to Apr 15

Comment 13 Tomas Hoger 2008-04-17 07:16:00 UTC
Public now:

http://www.openoffice.org/security/cves/CVE-2008-0320.html

Lifting embargo.

Comment 16 Fedora Update System 2008-04-22 22:41:19 UTC
openoffice.org-2.3.0-6.14.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2008-05-17 22:25:53 UTC
openoffice.org-2.3.0-6.8.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.